Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.jsr168
Class PortletUtils

    java.lang.Object
      org.jboss.portal.portlet.impl.jsr168.PortletUtils

    public class PortletUtils

extends java.lang.Object

Version:
  $Revision: 1.1 $
Author:
  Julien Viet

Field Summary
`static java.lang.String` | `PREFIX`
`static java.lang.String` | `SUFFIX`

Constructor Summary
`PortletUtils()`

Method Summary
`static PortletMode` | `decodePortletMode(java.lang.String portletModeName)` Creates a `PortletMode` object based on the specified name.
`static WindowState` | `decodeWindowState(java.lang.String windowStateName)` Creates a `WindowState` object based on the specified name.
`static java.lang.String` | `generateNamespaceFrom(java.lang.String windowId)` Generates a namespace suitable for Portlet prefixing of tokens that need to be unique in an aggregated page.
`static
`<U extends PortletRequest> U`
` | `unwrap(PortletRequest wrapped, java.lang.Class<U> unwrapped)`
`static
`<U extends PortletResponse> U`
` | `unwrap(PortletResponse wrapped, java.lang.Class<U> unwrapped)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PREFIX

    public static final java.lang.String PREFIX

See Also:
  Constant Field Values

### SUFFIX

    public static final java.lang.String SUFFIX

See Also:
  Constant Field Values

Constructor Detail

### PortletUtils

    public PortletUtils()

Method Detail

### decodeWindowState

    public static WindowState decodeWindowState(java.lang.String windowStateName)

  Creates a `WindowState` object based on the specified name.

  Parameters:
    `windowStateName` - the name of the window state
  Returns:
    one of the standard WindowStates if the specified name matches one of them or a new WindowState.
  See Also:
    `WindowState`

### decodePortletMode

    public static PortletMode decodePortletMode(java.lang.String portletModeName)

  Creates a `PortletMode` object based on the specified name.

  Parameters:
    `portletModeName` - the name of the portlet mode
  Returns:
    one of the standard PortletModes if the specified name matches one of them or a new PortletMode.
  See Also:
    `PortletMode`

### generateNamespaceFrom

    public static java.lang.String generateNamespaceFrom(java.lang.String windowId)

  Generates a namespace suitable for Portlet prefixing of tokens that need to be unique in an aggregated page.

  Parameters:
    `windowId` - the window id
  Returns:
    the namespace value
  Since:
    2.6

### unwrap

    public static <U extends PortletRequest> U unwrap(PortletRequest wrapped,
                                                      java.lang.Class<U> unwrapped)

### unwrap

    public static <U extends PortletResponse> U unwrap(PortletResponse wrapped,
                                                       java.lang.Class<U> unwrapped)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.